<?php
 
$wgHooks['EditPage::showEditForm:initial'][] = array('boilerplate');
 
$wgExtensionCredits['other'][] = array(
        'name' => 'Boilerplate',
        'author' => '[http://rouslan.zenetl.com/ RouslanZenetl]',
        'description' => 'loads pre-defined text from [[MediaWiki:Boilerplate]] when a brand new page is created',
        'url' => 'http://www.mediawiki.org/wiki/Extension:Boilerplate'
        );
 
function boilerplate($editpage) {
 
    // EditFormPreloadText
    global $wgOut;
    $wgOut->enableClientCache(false);
 
    if (!$editpage->preview
        && !$editpage->mArticle->mContentLoaded
        && $editpage->mArticle->mTitle->mNamespace==0) {
        $boilerplate_title = Title::newFromText('boilerplate');
        $boilerplate_article = new Article($boilerplate_title);
        $editpage->textbox1=$boilerplate_article->GetContent();
        $editpage->textbox2=$editpage->textbox1;
    }
 
    return true;
 
}
 
?>
